Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7377 - rp3-config crashes
Summary: rp3-config crashes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-27 20:05 UTC by Paolo Nason
Modified: 2013-04-02 04:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-01 15:11:17 UTC


Attachments (Terms of Use)

Description Paolo Nason 1999-11-27 20:05:54 UTC
Hello,
in rp3-1.0.1 I had a segmentation fault problem when using rp3-config.
In account.cc, the function load_accounts, the line marked 3
should go in 1; otherwise, if the continue statement 2 is reached,
tmp does not get updated, and the same interfaced is released twice,
causing segmentation faults when freeing the buffers twice.
The bug has gone away with the modification I propose.

A different problem arises in inteface.c, at the line
glob("/etc/sysconfig/network-scripts/ifcfg-*", 0, NULL, &globbuf);
a file ifcfg- was present in my configuration, causing problems.
Cheers,
Paolo Nason


GSList*
load_accounts     (void)
{
....
  tmp = ifs;
  while (tmp != NULL)
    {
      interface* iface = (interface*)tmp->data;
1      /* should be here */
      tmp = g_list_next(tmp);
      if (strncmp(iface->logicalName, "ppp", strlen("ppp")) == 0)
        {
          Account* a;
          char* tmp;

          tmp = svGetValue (iface->ifcfg, "WVDIALSECT");
          if (tmp == NULL)
            {
              interface_free (iface);
2              continue;
            }
.................
        }
      else
        {
          interface_free(iface);
        }

3      tmp = g_list_next(tmp);
    }
  g_list_free(ifs);
  return accounts;
}

Comment 1 Michael K. Johnson 1999-11-30 15:58:59 UTC
Please try the test release
ftp://people.redhat.com/rp3/rp3-1.0.2-1.i386.rpm
and report whether it fixes this problem for you.

Comment 2 Michael K. Johnson 1999-12-01 15:01:59 UTC
Paolo reports this not fixed in 1.0.2.

Comment 3 Jonathan Blandford 1999-12-01 15:11:59 UTC
Thanks for the patch.  This is fixed in the source and will be in the next
release.
-Jonathan


Note You need to log in before you can comment on or make changes to this bug.